Page 6 of 10 FirstFirst ... 45678 ... LastLast
Results 51 to 60 of 96

Thread: slapt-get

  1. #51
    Member
    Join Date
    Dec 2007
    Location
    @InterN0T
    Posts
    315

    Default

    There's also something named KPackage. (of course for KDE). But it's kinda slow,
    compared to the console slapt-get. Today i experienced something funny... I had
    installed Slackware 12.0, and the only thing that was missing that i really needed,
    was what the heck.. Slapt-get??? xD

    I couldn't believe my own eyes and i had to get the newest version right away and
    install it. Worked like a charm and no strange errors about keys etc even though
    strangely enough it fails at finding the keys or something (can't remember), but idk
    why, but it still works fine.

    The only thing i know is that in BackTrack you just need a good repository to make it work

    PS: I would try to keep away from: #SOURCE=ftp://ftp.slackware.com/pub/slackware/slackware-12.0/ .
    The reason why is that it's seriously slow. Due to all the people downloading from it all the time, even
    the slackware devs says people should use some other repository for optimal download-speed.
    (the only good thing the official slackware repository is, that it somehow has a lot more packages i think)
    [quote][I]I realized, that I had fallen down from the top of the mountain into a deep, terrifying and dark hole, just to find out that another mountain in front of me, much greater than the previous, was the next step in life. I began to wander uphill on the next mountain of life while I knew it would be much harder than the previous mountain. [/I]- MaXe[/quote]

  2. #52
    Just burned his ISO
    Join Date
    Jan 2008
    Posts
    1

    Default

    hello world,
    I resolve the problem with slapt-get (the latest version) by installing gnupg , gnupg2 and gpgme from ftp.belnet.be/packages/slackware/slackware-current/ !!!
    I think just 1 is needed...

    PS : I'm sorry if my english is not good, i'm a french guy
    See U

  3. #53
    Just burned his ISO
    Join Date
    Sep 2007
    Posts
    7

    Thumbs up Slapt-Get / Gslapt

    Hey Tuxxy, thanks a lot for the info.


    I was going crazy trying to figure this out. I did the same updates you did manually but still no luck, so after I saw your post I install gnupg (AGAIN !!!) and still no luck. I already had gnupg2 and gpgme installed.

    So I noticed that when I searched gpgme in Gslapt, libassuan was there as a seperate download and not installed.

    Description: libassuan (interprocess Communication Library for GPG)

    So I installed it.


    BINGO ! IT WORKS !!!


    After a long drawn out search here and google ( I AM A GOOGLE FREAK!!!) for answers, with NO solutions that were correcting my problem I gave up.

    Thanks for posting ! Helped me out a lot.

    Peace,

  4. #54
    Just burned his ISO
    Join Date
    Jan 2008
    Posts
    1

    Cool yes )))

    Quote Originally Posted by Tuxxy View Post
    hello world,
    I resolve the problem with slapt-get (the latest version) by installing gnupg , gnupg2 and gpgme from ftp.belnet.be/packages/slackware/slackware-current/ !!!
    I think just 1 is needed...

    PS : I'm sorry if my english is not good, i'm a french guy
    See U
    well done.. it's work .. thanks =))) ....slapt-get --add-keys
    Retrieving GPG key [ftp://ftp.slackware.com/pub/slackware/slackware-12.0/]... 65Done
    GPG key successfully imported.

  5. #55
    Just burned his ISO
    Join Date
    Jan 2008
    Posts
    1

    Post slapt-get still not working...!!!

    Tried everything... still no luck...

  6. #56
    Junior Member SBerry's Avatar
    Join Date
    Dec 2007
    Posts
    94

    Default

    Bit of problem there, this was the final source that worked for me

    SOURCE=http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/

  7. #57
    Member
    Join Date
    Oct 2007
    Posts
    52

    Default

    @Pureh@te **Wiki that links here has a bad link**

  8. #58
    Developer
    Join Date
    Mar 2007
    Posts
    6,126

    Default

    Youll have to be more specific

  9. #59
    Just burned his ISO
    Join Date
    Feb 2008
    Posts
    6

    Default

    Hi,

    This is driving me insane, I have done everything suggested in the thread;

    I've updated slapt-get to 0.9.12c
    Installed gnupg-1.4.7, gpgme-1.1.5 and libassuan-1.0.4 with ./configure, make, make install

    I've added the suggested repository:
    SOURCE=darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/

    I still get the error

    With add-keys:
    # slapt-get --add-keys
    Retrieving GPG key [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Cached
    GPGME: Invalid crypto engine
    GPG key could not be imported.

    With Update:
    # slapt-get --update
    Retrieving package data [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Cached
    Retrieving patch list [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Done
    Retrieving checksum list [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Cached
    Retrieving checksum signature [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Cached
    Verifying checksum signature [darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Not Verified
    Sources failed to download, correct sources and rerun --update

    If any can give me any help that would be great.

    Thanks

  10. #60
    Good friend of the forums
    Join Date
    Jan 2010
    Location
    outside chicago, il
    Posts
    442

    Default

    With the BT3 beta all I had to do was:
    # installpkg gnupg-1.4.7-i486-1.tgz
    # installpkg gpgme-1.1.4-i486-1.tgz
    # installpkg libassuan-1.0.1-i486-1.tgz
    # installpkg slapt-get-0.9.12c-i386-1.tgz
    from slackware 12. Once these 4 packages were installed slapt-get works like it should. No other changes or edits needed.
    I got the list of files from a previous posting saying to use the files from slackware-current. I don't trust current so I tried with the 12.0 versions and they work just as fine.
    I like the bleeding edge, but I don't like blood loss

Page 6 of 10 FirstFirst ... 45678 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •